Bug 812234 - Move rebalance status from volinfo store to node_state
Move rebalance status from volinfo store to node_state
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: shishir gowda
shylesh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-13 04:09 EDT by shishir gowda
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:37:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2012-04-13 04:09:15 EDT
Description of problem:
Rebalance status(which in-fact was cmd) should be moved out of info store. As this is per node state only, and hence versioning/chsum is not required.
As part of this, merging replace brick store to node_state.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-05-05 09:20:49 EDT
CHANGE: http://review.gluster.com/3141 (glusterd/store: Move remove-brick/rebalance status to node_state.info) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shishir gowda 2012-05-29 06:24:26 EDT
gluster> volume info 
 
Volume Name: new
Type: Distribute
Volume ID: 55714872-4fa2-4a15-82f3-bdbdf66017ef
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: sng:/export/dir1
Brick2: sng:/export/dir2

root@shishirng:/etc/glusterd/vols/new# cat info 
type=0
count=2
status=1
sub_count=0
stripe_count=1
replica_count=1
version=2
transport-type=0
volume-id=55714872-4fa2-4a15-82f3-bdbdf66017ef
username=965ce1b6-67a0-4c60-a1b8-1b2331ba2bae
password=713badc0-5834-4404-b3ca-b9dd3785a89f
brick-0=sng:-export-dir1
brick-1=sng:-export-dir2


root@shishirng:/etc/glusterd/vols/new# cat node_state.info 
rebalance_status=0

Note You need to log in before you can comment on or make changes to this bug.